﻿@using SPEX.Models
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;

<table>
    <tr>
        <td>
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdUpdate";
                    edtSetting.Width = 100;
                    edtSetting.Text = "Update";
                    edtSetting.ClientSideEvents.Click = "onUpdateQuery";
                    //edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLOSE");
                }).GetHtml()
    </td>
    <td>
        @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdRollBack";
                    edtSetting.Width = 100;
                    edtSetting.Text = "Rollback";
                    edtSetting.ClientSideEvents.Click = "onRolbackUpdate";
                    //edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLOSE");
                }).GetHtml()
     </td>
</tr>
</table>
@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PROCESS_ID_UPDATE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 250;
                    settings.Properties.MaxLength = 40;
                    settings.ClientVisible = false;
                }).GetHtml()
<table >
    <tr>
        <td width="50%"  style="vertical-align:top">
            <center>
                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Original Data";
                                }).GetHtml()
            </center>
        </td>
        <td style="vertical-align:top">
            <center>
                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "New Data";
                                }).GetHtml()
            </center>
        </td>
    </tr>
    <tr>
        <td style="vertical-align:top">
            @Html.DevExpress().GridView(
            settings =>
            {
                settings.Name = "GV_DynamicUpdateOriData";
                settings.KeyFieldName = "REPORT_NAME";
                settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                settings.Settings.GridLines = System.Web.UI.WebControls.GridLines.None;
                settings.CommandColumn.Visible = false;
                settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(35);
                settings.CommandColumn.ShowSelectCheckbox = true;

                settings.SettingsEditing.Mode = GridViewEditingMode.Inline;

                settings.SettingsPager.Visible = false;
                settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
                settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
                settings.Settings.VerticalScrollableHeight = 300;
                settings.Settings.ShowColumnHeaders = false;
                settings.Columns.Add(
                        column =>
                        {
                            column.FieldName = "ColumnName";
                            column.Caption = "Column Name";
                            column.CellStyle.Wrap = DefaultBoolean.True;
                            column.ColumnType = MVCxGridViewColumnType.TextBox;
                            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            column.Width = Unit.Pixel(150);
                            column.SetDataItemTemplateContent(container =>
                            {
                                @Html.DevExpress().Label(
                                        label =>
                                        {
                                            label.Text = Convert.ToString(DataBinder.Eval(container.DataItem, "ColumnName")).Replace("<br>","").Replace("@ori_", "").Replace("@Ori_", "").Replace("@ORI_", "").Replace("_", " ");
                                        }).Render();
                            });

                        });
                settings.Columns.Add(
                        column =>
                        {
                            column.FieldName = "Value";
                            column.Caption = "Value";
                            column.CellStyle.Wrap = DefaultBoolean.True;
                            column.ColumnType = MVCxGridViewColumnType.TextBox;
                            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            column.Width = Unit.Pixel(310);
                            column.SetDataItemTemplateContent(container =>
                            {
                                if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("varchar"))
                                {
                                    @Html.DevExpress().TextBox(
                                    t_settings =>
                                    {
                                        t_settings.Name = string.Format("Value_ori_{0}", container.VisibleIndex);//"I_Value";
                                        t_settings.Width = 300;
                                        t_settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;

                                    }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("int"))
                                {

                                    @Html.DevExpress().SpinEdit(
                                      s_settings =>
                                      {
                                          s_settings.Name = string.Format("Value_ori_{0}", container.VisibleIndex); ;
                                          s_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                          s_settings.Width = 300;
                                          s_settings.Properties.MinValue = 0;
                                          s_settings.Properties.DecimalPlaces = 0;
                                          //settings.Properties.MaxLength = ;
                                          s_settings.Properties.DisplayFormatString = "###0";
                                          s_settings.Properties.SpinButtons.Visible = false;
                                          s_settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                          //s_settings.Properties.NumberType = SpinEditNumberType.Integer;
                                          //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                      }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("decimal"))
                                {
                                    int Comma_decimal = 0;
                                    if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains(","))
                                    {
                                        string[] split = DataBinder.Eval(container.DataItem, "DataType").ToString().Split(',');

                                        Comma_decimal = Convert.ToInt32(split[1].Replace(")", string.Empty));
                                    }
                                    @Html.DevExpress().SpinEdit(
                                     N_settings =>
                                     {
                                         N_settings.Name = string.Format("Value_ori_{0}", container.VisibleIndex); ;
                                         N_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                         N_settings.Width = 300;
                                         N_settings.Properties.MinValue = 0;
                                         N_settings.Properties.DecimalPlaces = Comma_decimal;
                                         //settings.Properties.MaxLength = ;
                                         //N_settings.Properties.DisplayFormatString = "###0";
                                         N_settings.Properties.SpinButtons.Visible = false;
                                         N_settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                         //N_settings.Properties.NumberType = SpinEditNumberType.;
                                         //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                     }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("numeric"))
                                {
                                    int Comma_numeric = 0;
                                    var a = DataBinder.Eval(container.DataItem, "DataType");
                                    string display_numeric = "##,##0.";//00
                                    if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains(","))
                                    {
                                        string[] split = DataBinder.Eval(container.DataItem, "DataType").ToString().Split(',');

                                        Comma_numeric = Convert.ToInt32(split[1].Replace(")", string.Empty));

                                        for (int i = 0; i < Comma_numeric; i++)
                                        {
                                            display_numeric = display_numeric + "0";
                                        }
                                    }
                                    @Html.DevExpress().SpinEdit(
                                     N_settings =>
                                     {
                                         N_settings.Name = string.Format("Value_ori_{0}", container.VisibleIndex); ;
                                         N_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                         N_settings.Width = 300;
                                         N_settings.Properties.MinValue = 0;
                                         N_settings.Properties.DecimalPlaces = Comma_numeric;
                                         //settings.Properties.MaxLength = ;
                                         N_settings.Properties.DisplayFormatString = display_numeric;
                                         N_settings.Properties.SpinButtons.Visible = false;
                                         N_settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                         //N_settings.Properties.NumberType = SpinEditNumberType.Integer;
                                         //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                     }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("date"))
                                {
                                    @Html.DevExpress().DateEdit(
                                    dt_settings =>
                                    {
                                        dt_settings.Name = string.Format("Value_ori_{0}", container.VisibleIndex);
                                        dt_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        dt_settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                        dt_settings.Properties.DisplayFormatInEditMode = true;
                                        dt_settings.Properties.EditFormatString = "dd.MM.yyyy";
                                        dt_settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                        dt_settings.ReadOnly = false;
                                        dt_settings.Properties.UseMaskBehavior = true;
                                        dt_settings.Properties.EditFormat = EditFormat.Custom;
                                        dt_settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                        //dt_settings.Width = 300;
                                        //dt_settings.Properties.ClientSideEvents.DateChanged = "I_INSPECTION_DT_OnChanged";
                                    }).Render();
                                }
                            });
                        });
                settings.CustomJSProperties = (sender, e) =>
                {
                    MVCxGridView grid = (MVCxGridView)sender;
                    e.Properties["cpVisibleRowCount"] = grid.VisibleRowCount;
                };
            }).Bind(Model.OriginalData).GetHtml()
        </td>
        <td style="vertical-align:top">
            @Html.DevExpress().GridView(
            settings =>
            {
                settings.Name = "GV_DynamicUpdateNewData";
                settings.KeyFieldName = "REPORT_NAME";
                settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                settings.Settings.GridLines = System.Web.UI.WebControls.GridLines.None;
                settings.CommandColumn.Visible = false;
                settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(35);
                settings.CommandColumn.ShowSelectCheckbox = true;

                settings.SettingsEditing.Mode = GridViewEditingMode.Inline;

                settings.SettingsPager.Visible = false;
                settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
                settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
                settings.Settings.VerticalScrollableHeight = 300;
                settings.Settings.ShowColumnHeaders = false;
                settings.Columns.Add(
                        column =>
                        {
                            column.FieldName = "ColumnName";
                            column.Caption = "Column Name";
                            column.CellStyle.Wrap = DefaultBoolean.True;
                            column.ColumnType = MVCxGridViewColumnType.TextBox;
                            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            column.Width = Unit.Pixel(150);
                            column.SetDataItemTemplateContent(container =>
                            {
                                @Html.DevExpress().Label(
                                        label =>
                                        {
                                            label.Text = Convert.ToString(DataBinder.Eval(container.DataItem, "ColumnName")).Replace("<br>", "").Replace("@new_", "").Replace("@NEW_", "").Replace("@New_", "").Replace("_", " ");
                                        }).Render();
                            });

                        });
                settings.Columns.Add(
                        column =>
                        {
                            column.FieldName = "Value";
                            column.Caption = "Value";
                            column.CellStyle.Wrap = DefaultBoolean.True;
                            column.ColumnType = MVCxGridViewColumnType.TextBox;
                            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            column.Width = Unit.Pixel(310);
                            column.SetDataItemTemplateContent(container =>
                            {
                                if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("varchar"))
                                {
                                    @Html.DevExpress().TextBox(
                                    t_settings =>
                                    {
                                        t_settings.Name = string.Format("Value_New_Data_{0}", container.VisibleIndex);//"I_Value";
                                        t_settings.Width = 300;
                                        t_settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;

                                    }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("int"))
                                {

                                    @Html.DevExpress().SpinEdit(
                                      s_settings =>
                                      {
                                          s_settings.Name = string.Format("Value_New_Data_{0}", container.VisibleIndex); ;
                                          s_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                          s_settings.Width = 300;
                                          s_settings.Properties.MinValue = 0;
                                          s_settings.Properties.DecimalPlaces = 0;
                                          //settings.Properties.MaxLength = ;
                                          s_settings.Properties.DisplayFormatString = "###0";
                                          s_settings.Properties.SpinButtons.Visible = false;
                                          s_settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                          //s_settings.Properties.NumberType = SpinEditNumberType.Integer;
                                          //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                      }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("decimal"))
                                {
                                    int Comma_decimal = 0;
                                    if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains(","))
                                    {
                                        string[] split = DataBinder.Eval(container.DataItem, "DataType").ToString().Split(',');

                                        Comma_decimal = Convert.ToInt32(split[1].Replace(")", string.Empty));
                                    }
                                    @Html.DevExpress().SpinEdit(
                                     N_settings =>
                                     {
                                         N_settings.Name = string.Format("Value_New_Data_{0}", container.VisibleIndex); ;
                                         N_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                         N_settings.Width = 300;
                                         N_settings.Properties.MinValue = 0;
                                         N_settings.Properties.DecimalPlaces = Comma_decimal;
                                         //settings.Properties.MaxLength = ;
                                         //N_settings.Properties.DisplayFormatString = "###0";
                                         N_settings.Properties.SpinButtons.Visible = false;
                                         N_settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                         //N_settings.Properties.NumberType = SpinEditNumberType.;
                                         //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                     }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("numeric"))
                                {
                                    int Comma_numeric = 0;
                                    var a = DataBinder.Eval(container.DataItem, "DataType");
                                    string display_numeric = "##,##0.";//00
                                    if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains(","))
                                    {
                                        string[] split = DataBinder.Eval(container.DataItem, "DataType").ToString().Split(',');

                                        Comma_numeric = Convert.ToInt32(split[1].Replace(")", string.Empty));

                                        for (int i = 0; i < Comma_numeric; i++)
                                        {
                                            display_numeric = display_numeric + "0";
                                        }
                                    }
                                    @Html.DevExpress().SpinEdit(
                                     N_settings =>
                                     {
                                         N_settings.Name = string.Format("Value_New_Data_{0}", container.VisibleIndex); ;
                                         N_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                         N_settings.Width = 300;
                                         N_settings.Properties.MinValue = 0;
                                         N_settings.Properties.DecimalPlaces = Comma_numeric;
                                         //settings.Properties.MaxLength = ;
                                         N_settings.Properties.DisplayFormatString = display_numeric;
                                         N_settings.Properties.SpinButtons.Visible = false;
                                         N_settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                         //N_settings.Properties.NumberType = SpinEditNumberType.Integer;
                                         //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                     }).Render();
                                }
                                else if (Convert.ToString(DataBinder.Eval(container.DataItem, "DataType")).ToLower().Contains("date"))
                                {
                                    @Html.DevExpress().DateEdit(
                                    dt_settings =>
                                    {
                                        dt_settings.Name = string.Format("Value_New_Data_{0}", container.VisibleIndex);
                                        dt_settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        dt_settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                        dt_settings.Properties.DisplayFormatInEditMode = true;
                                        dt_settings.Properties.EditFormatString = "dd.MM.yyyy";
                                        dt_settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                        dt_settings.ReadOnly = false;
                                        dt_settings.Properties.UseMaskBehavior = true;
                                        dt_settings.Properties.EditFormat = EditFormat.Custom;
                                        dt_settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                        //dt_settings.Width = 300;
                                        //dt_settings.Properties.ClientSideEvents.DateChanged = "I_INSPECTION_DT_OnChanged";
                                    }).Render();
                                }
                            });
                        });
                settings.CustomJSProperties = (sender, e) =>
                {
                    MVCxGridView grid = (MVCxGridView)sender;
                    e.Properties["cpVisibleRowCount"] = grid.VisibleRowCount;
                };
            }).Bind(Model.Newdata).GetHtml()
        </td>
    </tr>

</table>





@Html.DevExpress().Memo(
                settings =>
                {
                    settings.Name = "I_SQL_QUERYtest";
                    settings.Properties.Columns = 70;
                    settings.Properties.Rows = 15;
                    //settings.Text = Model.SQL_QUERY1;
                    settings.ClientVisible = false;
                }).GetHtml()